# Generated by Django 5.0.4 on 2024-06-04 13:40

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0218_auto_20240601_1530"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="districtelectioncampaignpage",
            options={},
        ),
        migrations.AlterModelOptions(
            name="districtelectionprogrampage",
            options={},
        ),
        migrations.AlterModelOptions(
            name="districtelectionrootpage",
            options={},
        ),
        migrations.AlterModelOptions(
            name="districtinteractiveprogrampage",
            options={},
        ),
        migrations.AlterModelOptions(
            name="districtpostelectionstrategypage",
            options={},
        ),
        migrations.AlterModelOptions(
            name="districtprogrampage",
            options={},
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="campaign_funding_info",
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="candidate_list_title",
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="candidates",
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="content",
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="hero_candidates_image",
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="hero_cta_buttons",
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="hero_headline",
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="hero_image",
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="hero_motto",
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="number",
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="order",
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="program_point_list_title",
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="search_image",
        ),
        migrations.RemoveField(
            model_name="districtelectioncampaignpage",
            name="show_program_points_inline",
        ),
        migrations.RemoveField(
            model_name="districtelectionprogrampage",
            name="campaign_funding_info",
        ),
        migrations.RemoveField(
            model_name="districtelectionprogrampage",
            name="content",
        ),
        migrations.RemoveField(
            model_name="districtelectionprogrampage",
            name="guarantor",
        ),
        migrations.RemoveField(
            model_name="districtelectionprogrampage",
            name="image",
        ),
        migrations.RemoveField(
            model_name="districtelectionprogrampage",
            name="perex",
        ),
        migrations.RemoveField(
            model_name="districtelectionprogrampage",
            name="search_image",
        ),
        migrations.RemoveField(
            model_name="districtinteractiveprogrampage",
            name="content",
        ),
        migrations.RemoveField(
            model_name="districtinteractiveprogrampage",
            name="perex",
        ),
        migrations.RemoveField(
            model_name="districtinteractiveprogrampage",
            name="search_image",
        ),
        migrations.RemoveField(
            model_name="districtpostelectionstrategypage",
            name="campaign_funding_info",
        ),
        migrations.RemoveField(
            model_name="districtpostelectionstrategypage",
            name="content",
        ),
        migrations.RemoveField(
            model_name="districtpostelectionstrategypage",
            name="perex",
        ),
        migrations.RemoveField(
            model_name="districtpostelectionstrategypage",
            name="search_image",
        ),
        migrations.RemoveField(
            model_name="districtprogrampage",
            name="content",
        ),
        migrations.RemoveField(
            model_name="districtprogrampage",
            name="perex",
        ),
        migrations.RemoveField(
            model_name="districtprogrampage",
            name="search_image",
        ),
        migrations.AlterField(
            model_name="districtcrossroadpage",
            name="cards_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek bloku", required=False
                                    ),
                                ),
                                (
                                    "card_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek"
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek", required=True
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Krátký text pod nadpisem",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "district.DistrictArticlesPage",
                                                            "district.DistrictCenterPage",
                                                            "district.DistrictContactPage",
                                                            "district.DistrictCrossroadPage",
                                                            "district.DistrictCustomPage",
                                                            "district.DistrictPeoplePage",
                                                            # "district.DistrictProgramPage",
                                                            # "district.DistrictInteractiveProgramPage",
                                                            "district.DistrictGeoFeatureCollectionPage",
                                                            "district.DistrictCalendarPage",
                                                            "district.DistrictPdfPage",
                                                            "district.DistrictNewProgramPage",
                                                        ],
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ],
                                            template="styleguide2/includes/molecules/boxes/card_box_block.html",
                                        ),
                                        label="Karty s odkazy",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Karty rozcestníku",
            ),
        ),
        migrations.AlterField(
            model_name="districtnewprogrampage",
            name="program",
            field=wagtail.fields.StreamField(
                [
                    (
                        "program_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "url",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz pokrývající celou tuto část",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Ikona", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek článku programu"
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        features=[
                                                            "h3",
                                                            "h4",
                                                            "h5",
                                                            "bold",
                                                            "italic",
                                                            "ol",
                                                            "ul",
                                                            "hr",
                                                            "link",
                                                            "document-link",
                                                            "image",
                                                            "superscript",
                                                            "subscript",
                                                            "strikethrough",
                                                            "blockquote",
                                                            "embed",
                                                        ],
                                                        label="Obsah",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Jednotlivé články programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_crossroad",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek"
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek", required=True
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Krátký text pod nadpisem",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "district.DistrictArticlePage",
                                                            "district.DistrictArticlesPage",
                                                            "district.DistrictCenterPage",
                                                            "district.DistrictContactPage",
                                                            "district.DistrictCrossroadPage",
                                                            "district.DistrictCustomPage",
                                                            # "district.DistrictElectionCampaignPage",
                                                            # "district.DistrictElectionProgramPage",
                                                            "district.DistrictPeoplePage",
                                                            "district.DistrictPersonPage",
                                                            # "district.DistrictPostElectionStrategyPage",
                                                            # "district.DistrictProgramPage",
                                                        ],
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Karty programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_popout",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "categories",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "name",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název"
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Ikona", required=False
                                                    ),
                                                ),
                                                (
                                                    "description",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Popis", required=False
                                                    ),
                                                ),
                                                (
                                                    "point_list",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek vyskakovacího bloku"
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.RichTextBlock(
                                                                        features=[
                                                                            "h3",
                                                                            "h4",
                                                                            "h5",
                                                                            "bold",
                                                                            "italic",
                                                                            "ol",
                                                                            "ul",
                                                                            "hr",
                                                                            "link",
                                                                            "document-link",
                                                                            "image",
                                                                            "superscript",
                                                                            "subscript",
                                                                            "strikethrough",
                                                                            "blockquote",
                                                                            "embed",
                                                                        ],
                                                                        label="Obsah",
                                                                    ),
                                                                ),
                                                                (
                                                                    "guarantor",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Garant",
                                                                        page_type=[
                                                                            "district.DistrictPersonPage"
                                                                        ],
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                        label="Jednotlivé bloky programu",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kategorie programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_with_candidates",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "preamble_content",
                                    wagtail.blocks.RichTextBlock(
                                        help_text="Text, který se zobrazí před přepínačem mezi kandidáty a programem.",
                                        label="Preambule",
                                        required=False,
                                    ),
                                ),
                                (
                                    "primary_candidates",
                                    wagtail.blocks.StructBlock(
                                        [
                                            (
                                                "candidates",
                                                wagtail.blocks.ListBlock(
                                                    wagtail.blocks.StructBlock(
                                                        [
                                                            (
                                                                "page",
                                                                wagtail.blocks.PageChooserBlock(
                                                                    label="Stránka",
                                                                    page_type=[
                                                                        "district.DistrictPersonPage"
                                                                    ],
                                                                ),
                                                            ),
                                                            (
                                                                "image",
                                                                wagtail.images.blocks.ImageChooserBlock(
                                                                    help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                                    label="Obrázek",
                                                                    required=False,
                                                                ),
                                                            ),
                                                            (
                                                                "description",
                                                                wagtail.blocks.TextBlock(
                                                                    label="Popis"
                                                                ),
                                                            ),
                                                        ]
                                                    ),
                                                    label=" ",
                                                ),
                                            )
                                        ],
                                        help_text="Zobrazí se ve velkých blocích na začátku stránky.",
                                        label="Osoby na čele kandidátky",
                                    ),
                                ),
                                (
                                    "secondary_candidates",
                                    wagtail.blocks.StructBlock(
                                        [
                                            (
                                                "heading",
                                                wagtail.blocks.CharBlock(
                                                    default="Ostatní kandidátky",
                                                    label="Nadpis zbytku kandidátky",
                                                ),
                                            ),
                                            (
                                                "candidates",
                                                wagtail.blocks.ListBlock(
                                                    wagtail.blocks.StructBlock(
                                                        [
                                                            (
                                                                "number",
                                                                wagtail.blocks.CharBlock(
                                                                    label="Číslo"
                                                                ),
                                                            ),
                                                            (
                                                                "page",
                                                                wagtail.blocks.PageChooserBlock(
                                                                    label="Stránka",
                                                                    page_type=[
                                                                        "district.DistrictPersonPage"
                                                                    ],
                                                                ),
                                                            ),
                                                            (
                                                                "image",
                                                                wagtail.images.blocks.ImageChooserBlock(
                                                                    help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                                    label="Obrázek",
                                                                    required=False,
                                                                ),
                                                            ),
                                                        ]
                                                    ),
                                                    label="Zbylí kandidáti na listině",
                                                ),
                                            ),
                                        ],
                                        help_text="Zobrazí se v kompaktním seznamu pod čelem kandidátky.",
                                        label="Ostatní osoby na kandidátce",
                                    ),
                                ),
                                (
                                    "program",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "program_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                                                label="Název programu",
                                                            ),
                                                        ),
                                                        (
                                                            "point_list",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "url",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz pokrývající celou tuto část",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Ikona",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek článku programu"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "text",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                features=[
                                                                                    "h3",
                                                                                    "h4",
                                                                                    "h5",
                                                                                    "bold",
                                                                                    "italic",
                                                                                    "ol",
                                                                                    "ul",
                                                                                    "hr",
                                                                                    "link",
                                                                                    "document-link",
                                                                                    "image",
                                                                                    "superscript",
                                                                                    "subscript",
                                                                                    "strikethrough",
                                                                                    "blockquote",
                                                                                    "embed",
                                                                                ],
                                                                                label="Obsah",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Jednotlivé články programu",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "program_group_crossroad",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                                                label="Název programu",
                                                            ),
                                                        ),
                                                        (
                                                            "point_list",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "text",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                label="Krátký text pod nadpisem",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                page_type=[
                                                                                    "district.DistrictArticlePage",
                                                                                    "district.DistrictArticlesPage",
                                                                                    "district.DistrictCenterPage",
                                                                                    "district.DistrictContactPage",
                                                                                    "district.DistrictCrossroadPage",
                                                                                    "district.DistrictCustomPage",
                                                                                    # "district.DistrictElectionCampaignPage",
                                                                                    # "district.DistrictElectionProgramPage",
                                                                                    "district.DistrictPeoplePage",
                                                                                    "district.DistrictPersonPage",
                                                                                    # "district.DistrictPostElectionStrategyPage",
                                                                                    # "district.DistrictProgramPage",
                                                                                ],
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Karty programu",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "program_group_popout",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                                                label="Název programu",
                                                            ),
                                                        ),
                                                        (
                                                            "categories",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "name",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Název"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Ikona",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                label="Popis",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "point_list",
                                                                            wagtail.blocks.ListBlock(
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "title",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                label="Titulek vyskakovacího bloku"
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "content",
                                                                                            wagtail.blocks.RichTextBlock(
                                                                                                features=[
                                                                                                    "h3",
                                                                                                    "h4",
                                                                                                    "h5",
                                                                                                    "bold",
                                                                                                    "italic",
                                                                                                    "ol",
                                                                                                    "ul",
                                                                                                    "hr",
                                                                                                    "link",
                                                                                                    "document-link",
                                                                                                    "image",
                                                                                                    "superscript",
                                                                                                    "subscript",
                                                                                                    "strikethrough",
                                                                                                    "blockquote",
                                                                                                    "embed",
                                                                                                ],
                                                                                                label="Obsah",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "guarantor",
                                                                                            wagtail.blocks.PageChooserBlock(
                                                                                                label="Garant",
                                                                                                page_type=[
                                                                                                    "district.DistrictPersonPage"
                                                                                                ],
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                                label="Jednotlivé bloky programu",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Kategorie programu",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                        ]
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Programy",
            ),
        ),
        migrations.AlterField(
            model_name="districtpeoplepage",
            name="people",
            field=wagtail.fields.StreamField(
                [
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Titulek")),
                                (
                                    "slug",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky vyplněno",
                                        label="Slug skupiny",
                                        required=False,
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Detail osoby",
                                            page_type=["district.DistrictPersonPage"],
                                        ),
                                        label="Skupina osob",
                                    ),
                                ),
                            ],
                            label="Seznam osob",
                        ),
                    ),
                    (
                        "team_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="Název sekce týmů"),
                                ),
                                (
                                    "slug",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky vyplněno",
                                        label="Slug sekce",
                                        required=False,
                                    ),
                                ),
                                (
                                    "team_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "headline",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek bloku",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "card_items",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek"
                                                                    ),
                                                                ),
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "text",
                                                                    wagtail.blocks.RichTextBlock(
                                                                        label="Krátký text pod nadpisem",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        page_type=[
                                                                            "district.DistrictArticlesPage",
                                                                            "district.DistrictCenterPage",
                                                                            "district.DistrictContactPage",
                                                                            "district.DistrictCrossroadPage",
                                                                            "district.DistrictCustomPage",
                                                                            "district.DistrictPeoplePage",
                                                                            # "district.DistrictProgramPage",
                                                                            # "district.DistrictInteractiveProgramPage",
                                                                            "district.DistrictGeoFeatureCollectionPage",
                                                                            "district.DistrictCalendarPage",
                                                                            "district.DistrictPdfPage",
                                                                            "district.DistrictNewProgramPage",
                                                                        ],
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ],
                                                            template="styleguide2/includes/molecules/boxes/card_box_block.html",
                                                        ),
                                                        label="Karty s odkazy",
                                                    ),
                                                ),
                                            ],
                                            label="Karta týmu",
                                        ),
                                        label="Týmy",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Lidé a týmy",
            ),
        ),
    ]
